Bug 1315944 - Please build for python2 and python3
Please build for python2 and python3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyephem (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 00:01 EST by John Dulaney
Modified: 2017-04-16 16:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: pyephem-3.7.6.0-7.fc26 pyephem-3.7.6.0-7.fc24 pyephem-3.7.6.0-7.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-11 09:46:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dulaney 2016-03-09 00:01:09 EST
Description of problem:

pyephem do support python3.  please update spec file.  Have put together proof of conept build here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13282926

Have tested, does work.  Much improve.

Version-Release number of selected component (if applicable):
rpm -q pyephem 
pyephem-3.7.6.0-2.fc24.x86_64

How reproducible:
Now is so

Steps to Reproduce:
1.  koji build --scratch rawhide pyephem-3.7.6.0-2.fc24.src.rpm
2.  look at build artifact

Actual results:
output be python-pyephem-3.7.6.0-2.fc25.arch.rpm

Expected results:
output be python2-pyephem-3.7.6.0-2.fc25.arch.rpm
output be python3-pyephem-3.7.6.0-2.fc25.arch.rpm
much happiness and profit

Additional info:
I am not a tree.  I identify as meat popsickle.
Comment 1 Jan Kurik 2016-07-26 00:47:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 2 Fedora Update System 2017-04-07 18:07:22 EDT
pyephem-3.7.6.0-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-06be0c1acd
Comment 3 Fedora Update System 2017-04-07 18:07:34 EDT
pyephem-3.7.6.0-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3517aa20b
Comment 4 Fedora Update System 2017-04-07 18:47:43 EDT
pyephem-3.7.6.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5f1ae8cf3
Comment 5 Fedora Update System 2017-04-09 00:22:19 EDT
pyephem-3.7.6.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5f1ae8cf3
Comment 6 Fedora Update System 2017-04-09 00:24:11 EDT
pyephem-3.7.6.0-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3517aa20b
Comment 7 Fedora Update System 2017-04-09 01:53:37 EDT
pyephem-3.7.6.0-7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-06be0c1acd
Comment 8 Fedora Update System 2017-04-11 09:46:24 EDT
pyephem-3.7.6.0-7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-04-16 15:19:44 EDT
pyephem-3.7.6.0-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2017-04-16 16:23:50 EDT
pyephem-3.7.6.0-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.